# Uses of Enum Class
org.gitana.platform.client.node.type.DefinitionFilterType

Packages that use DefinitionFilterType
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.node.type

## Uses of DefinitionFilterType in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch with parameters of type DefinitionFilterType
Modifier and Type
Method
Description
`Map<org.gitana.platform.support.QName,Definition>`
Branch.`listDefinitions(DefinitionFilterType filter, boolean custom, boolean system, org.gitana.platform.support.Pagination pagination)`
`Map<org.gitana.platform.support.QName,Definition>`
BranchImpl.`listDefinitions(DefinitionFilterType filter, boolean custom, boolean system, org.gitana.platform.support.Pagination pagination)`

## Uses of DefinitionFilterType in org.gitana.platform.client.node.type

Methods in org.gitana.platform.client.node.type that return DefinitionFilterType
Modifier and Type
Method
Description
`static DefinitionFilterType`
DefinitionFilterType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefinitionFilterType[]`
DefinitionFilterType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.